#!/usr/bin/python
# -*- coding: utf-8 -*-
#
# Author: Ingelrest François (Athropos@gmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from dlgBase import DlgBase

import gtk
import consts

# ---======---
# DlgChooseFiles : allow the user to select some files
# ---======---
class DlgChooseFiles(DlgBase) :

    #  === Constructor ===
    def __init__(self, parent) :
        DlgBase.__init__(self, parent, 'dlg-choosefiles')
        self.dialog.set_current_folder(consts.dirUser)

    # === Show the dialog and return the selected files, or None ===
    def show(self) :
        if self.dialog.run() == gtk.RESPONSE_OK :
            return self.dialog.get_filenames()
        return None

# === This object is a singleton
dlg = None
def instance(parent) :
    global dlg
    if dlg == None :
        dlg = DlgChooseFiles(parent)
    return dlg
